Package writer2latex.base

# Class ContentEntryImpl

java.lang.Object
writer2latex.base.ContentEntryImpl

All Implemented Interfaces:
  `ContentEntry`

public class ContentEntryImpl extends Object implements ContentEntry

## Constructor Summary

Constructors
Constructor
Description
`ContentEntryImpl(String sTitle, int nLevel, OutputFile file, String sTarget)`

## Method Summary

Modifier and Type
Method
Description
`OutputFile`
`getFile()`
Get the file associated with the entry
`int`
`getLevel()`
Get the outline level of this `ContentEntry`.
`String`
`getTarget()`
Get the name of a target within the file, if any
`String`
`getTitle()`
Get the title for this entry

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentEntryImpl

public ContentEntryImpl(String sTitle, int nLevel, OutputFile file, String sTarget)

## Method Details

### getTitle

public String getTitle()
Description copied from interface: `ContentEntry`
Get the title for this entry

Specified by:
  `getTitle` in interface `ContentEntry`
Returns:
  the title

### getLevel

public int getLevel()
Description copied from interface: `ContentEntry`
Get the outline level of this `ContentEntry`. The top level is 1 (entries corresponding to indexes are considered top level). Note that intermediate levels may be missing (e.g. a heading of level 3 may follow immediately after a heading of level 1).

Specified by:
  `getLevel` in interface `ContentEntry`
Returns:
  the outline level

### getFile

public OutputFile getFile()
Description copied from interface: `ContentEntry`
Get the file associated with the entry

Specified by:
  `getFile` in interface `ContentEntry`
Returns:
  the output file

### getTarget

public String getTarget()
Description copied from interface: `ContentEntry`
Get the name of a target within the file, if any

Specified by:
  `getTarget` in interface `ContentEntry`
Returns:
  the target name, or null if no target is needed